/**************************************************************************\
*   BC++ 1.01                                   Source: PL-MAIL.C
*   Host platform:   DOS                        Code:   ASCII-7
*   Target platform: DOS                        Code:   ASCII-7
*   Project name:    PL-Mail: Local FTN-Mailer (BSO)
*   Version:         0.1.0                      Started at:   22.11.97
*   Last change:     22.12.97                   Elapsed time: 0030 hours
*   Programmer:      Andrew Porokhnyak
****************************************************************************
*
\**************************************************************************/

#include <fcntl.h>
#include <io.h>
#include <dir.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>
#include <sys\stat.h>

#include "defines.h"
#include "tools.h"
#include "readcfg.h"
#include "session.h"

const char prod_name[]="PL-Mail";
const char prod_ver1=0;
const char prod_ver2=1;
const char prod_ver3=0;
const char prod_date[]="971222";
const char prod_copr[]="(C) 1997 AOP";
const char prod_help[]=
    "PL-Mail is a FTN-mailer using \"disk-to-disk\" protocol :-)\n"
    "It may be useful for LAN points or floppy-net.\n"
    "\tUsage:\n"
    "pl-mail >\n"
    ;

enum ERR_no {
    ERR_nomem, ERR_ffound, ERR_fopen, ERR_fread, ERR_fwrite
    };

const char *ERRS[]={
    "not enough memory",
    "file not found",
    "file open failed",
    "file read failed",
    "file write failed"
    };


/**************************************************************************\
*
\**************************************************************************/
// int read_config(const char *ctln);

/**************************************************************************\
*
\**************************************************************************/
int main(int argc, char **argv) {
    /* local vars */
    int i;
    char inp_name[80], out_name[80];
    FILE *in, *out;
    char *p;
    long l;
    char s[512];                        // last read from file string
    char mask[16];                      // date search pattern
    time_t ti, ty;                      // curr date, yesterday
    struct tm *tr;                      // date_time rec, global!

    printf("\n\t%s/%s v%d.%d.%d%s (%s)\n", prod_name, OS, prod_ver1,
        prod_ver2, prod_ver3, DBG, prod_date);
#ifdef _DEBUG_
    printf("\tCompiled %s %s by %s\n", __DATE__, __TIME__, MADEBY);
#endif


    /* Check for arguments in cmd line */
    if ((argc==2) && (strcmp(argv[1],"-?")==0)) {
        printf("\n%s", prod_help);
        return 0;
    }

    readcfg(CFG_NAME);

    Log(2, "%s/%s v%d.%d.%d%s started", prod_name, OS, prod_ver1,
        prod_ver2, prod_ver3, DBG);
    Log(6, "Log to: con (%i), %s (%i)", conlog, logpath, loglevel);
    Log(3, "System addr: %i:%i/%i.%i, uplink addr: %i:%i/%i.%i",
        my_addr.zon, my_addr.net, my_addr.nod, my_addr.pnt,
        ul_addr.zon, ul_addr.net, ul_addr.nod, ul_addr.pnt);

    Log(4, "--== Sending to %i:%i/%i.%i ==--", ul_addr.zon, ul_addr.net,
        ul_addr.nod, ul_addr.pnt);
    ftn_send(MY_OUT, UL_INP, UL_FLAG, ul_addr);

    Log(4, "--== Receiving from %i:%i/%i.%i ==--", ul_addr.zon, ul_addr.net,
        ul_addr.nod, ul_addr.pnt);
    ftn_send(UL_OUT, MY_INP, MY_FLAG, my_addr);

    Log(2, "%s/%s v%d.%d.%d%s finished", prod_name, OS, prod_ver1,
        prod_ver2, prod_ver3, DBG);
    return 0;
} /*----------------------------------------------------------------------*/


/*** EOF PL-MAIL.C ********************************************************/
